/*
 * Generated by the Jasper component of Apache Tomcat
 * Version: Apache Tomcat/8.5.75
 * Generated at: 2022-10-21 13:42:32 UTC
 * Note: The last modified time of this file was set to
 *       the last modified time of the source file after
 *       generation to assist with modification tracking.
 */
package org.apache.jsp.tag.web.responsive.product;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;

public final class productDetailsPanel_tag
    extends javax.servlet.jsp.tagext.SimpleTagSupport
    implements org.apache.jasper.runtime.JspSourceDependent,
                 org.apache.jasper.runtime.JspSourceImports {

private static org.apache.jasper.runtime.ProtectedFunctionMapper _jspx_fnmap_0;
private static org.apache.jasper.runtime.ProtectedFunctionMapper _jspx_fnmap_1;

static {
  _jspx_fnmap_0= org.apache.jasper.runtime.ProtectedFunctionMapper.getMapForFunction("fn:escapeXml", org.apache.taglibs.standard.functions.Functions.class, "escapeXml", new Class[] {java.lang.String.class});
  _jspx_fnmap_1= org.apache.jasper.runtime.ProtectedFunctionMapper.getMapForFunction("ycommerce:sanitizeHTML", de.hybris.platform.acceleratorstorefrontcommons.tags.HTMLSanitizer.class, "sanitizeHTML", new Class[] {java.lang.String.class});
}

  private static final javax.servlet.jsp.JspFactory _jspxFactory =
          javax.servlet.jsp.JspFactory.getDefaultFactory();

  private static java.util.Map<java.lang.String,java.lang.Long> _jspx_dependants;

  static {
    _jspx_dependants = new java.util.HashMap<java.lang.String,java.lang.Long>(16);
    _jspx_dependants.put("/WEB-INF/tags/responsive/product/productImagePanel.tag", Long.valueOf(1666344869703L));
    _jspx_dependants.put("/WEB-INF/tags/shared/format/fromPrice.tag", Long.valueOf(1666344869711L));
    _jspx_dependants.put("file:/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/platform/ext/core/lib/spring-webmvc-5.3.18.jar", Long.valueOf(1649192984000L));
    _jspx_dependants.put("/WEB-INF/tags/responsive/product/productPromotionSection.tag", Long.valueOf(1666344869707L));
    _jspx_dependants.put("/WEB-INF/common/tld/cmstags.tld", Long.valueOf(1666344869627L));
    _jspx_dependants.put("/WEB-INF/tags/responsive/product/productReviewSummary.tag", Long.valueOf(1666344869707L));
    _jspx_dependants.put("/WEB-INF/tags/responsive/product/productGalleryThumbnail.tag", Long.valueOf(1666344869703L));
    _jspx_dependants.put("/WEB-INF/lib/javax.servlet.jsp.jstl-1.2.5.jar", Long.valueOf(1666345590277L));
    _jspx_dependants.put("jar:file:/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/custom/yb2bacceleratorstorefront/web/webroot/WEB-INF/lib/javax.servlet.jsp.jstl-1.2.5.jar!/META-INF/c.tld", Long.valueOf(1531470420000L));
    _jspx_dependants.put("/WEB-INF/tags/shared/format/implicit.tld", Long.valueOf(1666344869711L));
    _jspx_dependants.put("jar:file:/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/platform/ext/core/lib/spring-webmvc-5.3.18.jar!/META-INF/spring.tld", Long.valueOf(1648709400000L));
    _jspx_dependants.put("/WEB-INF/tags/responsive/product/productPricePanel.tag", Long.valueOf(1666344869703L));
    _jspx_dependants.put("/WEB-INF/tags/shared/format/price.tag", Long.valueOf(1666344869711L));
    _jspx_dependants.put("jar:file:/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/custom/yb2bacceleratorstorefront/web/webroot/WEB-INF/lib/javax.servlet.jsp.jstl-1.2.5.jar!/META-INF/fn.tld", Long.valueOf(1531470420000L));
    _jspx_dependants.put("/WEB-INF/common/tld/ycommercetags.tld", Long.valueOf(1666344869627L));
    _jspx_dependants.put("/WEB-INF/tags/responsive/product/implicit.tld", Long.valueOf(1666344869703L));
  }

  private static final java.util.Set<java.lang.String> _jspx_imports_packages;

  private static final java.util.Set<java.lang.String> _jspx_imports_classes;

  static {
    _jspx_imports_packages = new java.util.HashSet<>();
    _jspx_imports_packages.add("javax.servlet");
    _jspx_imports_packages.add("javax.servlet.http");
    _jspx_imports_packages.add("javax.servlet.jsp");
    _jspx_imports_classes = null;
  }

  private javax.servlet.jsp.JspContext jspContext;
  private java.io.Writer _jspx_sout;
  private org.apache.jasper.runtime.TagHandlerPool _005fjspx_005ftagPool_005fcms_005fpageSlot_0026_005fvar_005fposition_005felement_005fclass;
  private org.apache.jasper.runtime.TagHandlerPool _005fjspx_005ftagPool_005fcms_005fcomponent_0026_005felement_005fcomponent_005fclass_005fnobody;

  private volatile javax.el.ExpressionFactory _el_expressionfactory;
  private volatile org.apache.tomcat.InstanceManager _jsp_instancemanager;

  public void setJspContext(javax.servlet.jsp.JspContext ctx) {
    super.setJspContext(ctx);
    java.util.ArrayList _jspx_nested = null;
    java.util.ArrayList _jspx_at_begin = null;
    java.util.ArrayList _jspx_at_end = null;
    this.jspContext = new org.apache.jasper.runtime.JspContextWrapper(this, ctx, _jspx_nested, _jspx_at_begin, _jspx_at_end, null);
  }

  public javax.servlet.jsp.JspContext getJspContext() {
    return this.jspContext;
  }

  public java.util.Map<java.lang.String,java.lang.Long> getDependants() {
    return _jspx_dependants;
  }

  public java.util.Set<java.lang.String> getPackageImports() {
    return _jspx_imports_packages;
  }

  public java.util.Set<java.lang.String> getClassImports() {
    return _jspx_imports_classes;
  }

  public javax.el.ExpressionFactory _jsp_getExpressionFactory() {
    return _el_expressionfactory;
  }

  public org.apache.tomcat.InstanceManager _jsp_getInstanceManager() {
    return _jsp_instancemanager;
  }

  private void _jspInit(javax.servlet.ServletConfig config) {
    _005fjspx_005ftagPool_005fcms_005fpageSlot_0026_005fvar_005fposition_005felement_005fclass = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(config);
    _005fjspx_005ftagPool_005fcms_005fcomponent_0026_005felement_005fcomponent_005fclass_005fnobody = org.apache.jasper.runtime.TagHandlerPool.getTagHandlerPool(config);
    _el_expressionfactory = _jspxFactory.getJspApplicationContext(config.getServletContext()).getExpressionFactory();
    _jsp_instancemanager = org.apache.jasper.runtime.InstanceManagerFactory.getInstanceManager(config);
  }

  public void _jspDestroy() {
    _005fjspx_005ftagPool_005fcms_005fpageSlot_0026_005fvar_005fposition_005felement_005fclass.release();
    _005fjspx_005ftagPool_005fcms_005fcomponent_0026_005felement_005fcomponent_005fclass_005fnobody.release();
  }

  public void doTag() throws javax.servlet.jsp.JspException, java.io.IOException {
    javax.servlet.jsp.PageContext _jspx_page_context = (javax.servlet.jsp.PageContext)jspContext;
    javax.servlet.http.HttpServletRequest request = (javax.servlet.http.HttpServletRequest) _jspx_page_context.getRequest();
    javax.servlet.http.HttpServletResponse response = (javax.servlet.http.HttpServletResponse) _jspx_page_context.getResponse();
    javax.servlet.http.HttpSession session = _jspx_page_context.getSession();
    javax.servlet.ServletContext application = _jspx_page_context.getServletContext();
    javax.servlet.ServletConfig config = _jspx_page_context.getServletConfig();
    javax.servlet.jsp.JspWriter out = jspContext.getOut();
    _jspInit(config);
    jspContext.getELContext().putContext(javax.servlet.jsp.JspContext.class,jspContext);

    try {
      out.write("<div class=\"product-details page-title\">\n");
      out.write("	");
      if (_jspx_meth_ycommerce_005ftestId_005f0(_jspx_page_context))
        return;
      if (_jspx_meth_product_005fproductReviewSummary_005f0(_jspx_page_context))
        return;
      out.write("</div>\n");
      out.write("<div class=\"row\">\n");
      out.write("	<div class=\"col-xs-10 col-xs-push-1 col-sm-6 col-sm-push-0 col-lg-4\">\n");
      out.write("		");
      if (_jspx_meth_product_005fproductImagePanel_005f0(_jspx_page_context))
        return;
      out.write("</div>\n");
      out.write("	<div class=\"clearfix hidden-sm hidden-md hidden-lg\"></div>\n");
      out.write("	<div class=\"col-sm-6 col-lg-8\">\n");
      out.write("		<div class=\"product-main-info\">\n");
      out.write("			<div class=\"row\">\n");
      out.write("				<div class=\"col-lg-6\">\n");
      out.write("					<div class=\"product-details\">\n");
      out.write("						");
      if (_jspx_meth_product_005fproductPromotionSection_005f0(_jspx_page_context))
        return;
      if (_jspx_meth_ycommerce_005ftestId_005f1(_jspx_page_context))
        return;
      out.write("<div class=\"description\">");
      out.write((java.lang.String) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${ycommerce:sanitizeHTML(product.summary)}", java.lang.String.class, (javax.servlet.jsp.PageContext)this.getJspContext(), _jspx_fnmap_1));
      out.write("</div>\n");
      out.write("					</div>\n");
      out.write("				</div>\n");
      out.write("\n");
      out.write("				<div class=\"col-sm-12 col-md-9 col-lg-6\">\n");
      out.write("					");
      if (_jspx_meth_cms_005fpageSlot_005f0(_jspx_page_context))
        return;
      if (_jspx_meth_cms_005fpageSlot_005f1(_jspx_page_context))
        return;
      out.write("</div>\n");
      out.write("			</div>\n");
      out.write("		</div>\n");
      out.write("\n");
      out.write("	</div>\n");
      out.write("</div>");
    } catch( java.lang.Throwable t ) {
      if( t instanceof javax.servlet.jsp.SkipPageException )
          throw (javax.servlet.jsp.SkipPageException) t;
      if( t instanceof java.io.IOException )
          throw (java.io.IOException) t;
      if( t instanceof java.lang.IllegalStateException )
          throw (java.lang.IllegalStateException) t;
      if( t instanceof javax.servlet.jsp.JspException )
          throw (javax.servlet.jsp.JspException) t;
      throw new javax.servlet.jsp.JspException(t);
    } finally {
      jspContext.getELContext().putContext(javax.servlet.jsp.JspContext.class,super.getJspContext());
      ((org.apache.jasper.runtime.JspContextWrapper) jspContext).syncEndTagFile();
      _jspDestroy();
    }
  }

  private boolean _jspx_meth_ycommerce_005ftestId_005f0(javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  ycommerce:testId
    de.hybris.platform.yb2bacceleratorstorefront.tags.TestIdTag _jspx_th_ycommerce_005ftestId_005f0 = new de.hybris.platform.yb2bacceleratorstorefront.tags.TestIdTag();
    _jsp_getInstanceManager().newInstance(_jspx_th_ycommerce_005ftestId_005f0);
    try {
      _jspx_th_ycommerce_005ftestId_005f0.setJspContext(_jspx_page_context);
      _jspx_th_ycommerce_005ftestId_005f0.setParent(new javax.servlet.jsp.tagext.TagAdapter((javax.servlet.jsp.tagext.SimpleTag) this ));
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(8,1) name = code type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_ycommerce_005ftestId_005f0.setCode((java.lang.String) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("productDetails_productNamePrice_label_${product.code}", java.lang.String.class, (javax.servlet.jsp.PageContext)this.getJspContext(), null));
      _jspx_th_ycommerce_005ftestId_005f0.setJspBody(new Helper( 0, _jspx_page_context, _jspx_th_ycommerce_005ftestId_005f0, null));
      _jspx_th_ycommerce_005ftestId_005f0.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_ycommerce_005ftestId_005f0);
    }
    return false;
  }

  private boolean _jspx_meth_product_005fproductReviewSummary_005f0(javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  product:productReviewSummary
    org.apache.jsp.tag.web.responsive.product.productReviewSummary_tag _jspx_th_product_005fproductReviewSummary_005f0 = new org.apache.jsp.tag.web.responsive.product.productReviewSummary_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_product_005fproductReviewSummary_005f0);
    try {
      _jspx_th_product_005fproductReviewSummary_005f0.setJspContext(_jspx_page_context);
      _jspx_th_product_005fproductReviewSummary_005f0.setParent(new javax.servlet.jsp.tagext.TagAdapter((javax.servlet.jsp.tagext.SimpleTag) this ));
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(11,1) name = product type = de.hybris.platform.commercefacades.product.data.ProductData reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_product_005fproductReviewSummary_005f0.setProduct((de.hybris.platform.commercefacades.product.data.ProductData) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${product}", de.hybris.platform.commercefacades.product.data.ProductData.class, (javax.servlet.jsp.PageContext)this.getJspContext(), null));
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(11,1) name = showLinks type = java.lang.Boolean reqTime = true required = false fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_product_005fproductReviewSummary_005f0.setShowLinks(java.lang.Boolean.valueOf("true"));
      _jspx_th_product_005fproductReviewSummary_005f0.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_product_005fproductReviewSummary_005f0);
    }
    return false;
  }

  private boolean _jspx_meth_product_005fproductImagePanel_005f0(javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  product:productImagePanel
    org.apache.jsp.tag.web.responsive.product.productImagePanel_tag _jspx_th_product_005fproductImagePanel_005f0 = new org.apache.jsp.tag.web.responsive.product.productImagePanel_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_product_005fproductImagePanel_005f0);
    try {
      _jspx_th_product_005fproductImagePanel_005f0.setJspContext(_jspx_page_context);
      _jspx_th_product_005fproductImagePanel_005f0.setParent(new javax.servlet.jsp.tagext.TagAdapter((javax.servlet.jsp.tagext.SimpleTag) this ));
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(15,2) name = galleryImages type = java.util.List reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_product_005fproductImagePanel_005f0.setGalleryImages((java.util.List) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${galleryImages}", java.util.List.class, (javax.servlet.jsp.PageContext)this.getJspContext(), null));
      _jspx_th_product_005fproductImagePanel_005f0.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_product_005fproductImagePanel_005f0);
    }
    return false;
  }

  private boolean _jspx_meth_product_005fproductPromotionSection_005f0(javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  product:productPromotionSection
    org.apache.jsp.tag.web.responsive.product.productPromotionSection_tag _jspx_th_product_005fproductPromotionSection_005f0 = new org.apache.jsp.tag.web.responsive.product.productPromotionSection_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_product_005fproductPromotionSection_005f0);
    try {
      _jspx_th_product_005fproductPromotionSection_005f0.setJspContext(_jspx_page_context);
      _jspx_th_product_005fproductPromotionSection_005f0.setParent(new javax.servlet.jsp.tagext.TagAdapter((javax.servlet.jsp.tagext.SimpleTag) this ));
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(23,6) name = product type = de.hybris.platform.commercefacades.product.data.ProductData reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_product_005fproductPromotionSection_005f0.setProduct((de.hybris.platform.commercefacades.product.data.ProductData) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${product}", de.hybris.platform.commercefacades.product.data.ProductData.class, (javax.servlet.jsp.PageContext)this.getJspContext(), null));
      _jspx_th_product_005fproductPromotionSection_005f0.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_product_005fproductPromotionSection_005f0);
    }
    return false;
  }

  private boolean _jspx_meth_ycommerce_005ftestId_005f1(javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  ycommerce:testId
    de.hybris.platform.yb2bacceleratorstorefront.tags.TestIdTag _jspx_th_ycommerce_005ftestId_005f1 = new de.hybris.platform.yb2bacceleratorstorefront.tags.TestIdTag();
    _jsp_getInstanceManager().newInstance(_jspx_th_ycommerce_005ftestId_005f1);
    try {
      _jspx_th_ycommerce_005ftestId_005f1.setJspContext(_jspx_page_context);
      _jspx_th_ycommerce_005ftestId_005f1.setParent(new javax.servlet.jsp.tagext.TagAdapter((javax.servlet.jsp.tagext.SimpleTag) this ));
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(24,6) name = code type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_ycommerce_005ftestId_005f1.setCode((java.lang.String) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("productDetails_productNamePrice_label_${product.code}", java.lang.String.class, (javax.servlet.jsp.PageContext)this.getJspContext(), null));
      _jspx_th_ycommerce_005ftestId_005f1.setJspBody(new Helper( 1, _jspx_page_context, _jspx_th_ycommerce_005ftestId_005f1, null));
      _jspx_th_ycommerce_005ftestId_005f1.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_ycommerce_005ftestId_005f1);
    }
    return false;
  }

  private boolean _jspx_meth_product_005fproductPricePanel_005f0(javax.servlet.jsp.tagext.JspTag _jspx_parent, javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  product:productPricePanel
    org.apache.jsp.tag.web.responsive.product.productPricePanel_tag _jspx_th_product_005fproductPricePanel_005f0 = new org.apache.jsp.tag.web.responsive.product.productPricePanel_tag();
    _jsp_getInstanceManager().newInstance(_jspx_th_product_005fproductPricePanel_005f0);
    try {
      _jspx_th_product_005fproductPricePanel_005f0.setJspContext(_jspx_page_context);
      _jspx_th_product_005fproductPricePanel_005f0.setParent(_jspx_parent);
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(25,7) name = product type = de.hybris.platform.commercefacades.product.data.ProductData reqTime = true required = true fragment = false deferredValue = false expectedTypeName = java.lang.String deferredMethod = false methodSignature = null
      _jspx_th_product_005fproductPricePanel_005f0.setProduct((de.hybris.platform.commercefacades.product.data.ProductData) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${product}", de.hybris.platform.commercefacades.product.data.ProductData.class, (javax.servlet.jsp.PageContext)this.getJspContext(), null));
      _jspx_th_product_005fproductPricePanel_005f0.doTag();
    } finally {
      _jsp_getInstanceManager().destroyInstance(_jspx_th_product_005fproductPricePanel_005f0);
    }
    return false;
  }

  private boolean _jspx_meth_cms_005fpageSlot_005f0(javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  cms:pageSlot
    de.hybris.platform.acceleratorcms.tags2.CMSContentSlotTag _jspx_th_cms_005fpageSlot_005f0 = (de.hybris.platform.acceleratorcms.tags2.CMSContentSlotTag) _005fjspx_005ftagPool_005fcms_005fpageSlot_0026_005fvar_005fposition_005felement_005fclass.get(de.hybris.platform.acceleratorcms.tags2.CMSContentSlotTag.class);
    boolean _jspx_th_cms_005fpageSlot_005f0_reused = false;
    try {
      _jspx_th_cms_005fpageSlot_005f0.setPageContext(_jspx_page_context);
      _jspx_th_cms_005fpageSlot_005f0.setParent(new javax.servlet.jsp.tagext.TagAdapter((javax.servlet.jsp.tagext.SimpleTag) this ));
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(32,5) name = position type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_cms_005fpageSlot_005f0.setPosition("VariantSelector");
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(32,5) name = var type = java.lang.String reqTime = false required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_cms_005fpageSlot_005f0.setVar("component");
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(32,5) name = element type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_cms_005fpageSlot_005f0.setElement("div");
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(32,5) null
      _jspx_th_cms_005fpageSlot_005f0.setDynamicAttribute(null, "class", "page-details-variants-select");
      int _jspx_eval_cms_005fpageSlot_005f0 = _jspx_th_cms_005fpageSlot_005f0.doStartTag();
      if (_jspx_eval_cms_005fpageSlot_005f0 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
        if (_jspx_eval_cms_005fpageSlot_005f0 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
          out = org.apache.jasper.runtime.JspRuntimeLibrary.startBufferedBody(_jspx_page_context, _jspx_th_cms_005fpageSlot_005f0);
        }
        do {
          if (_jspx_meth_cms_005fcomponent_005f0(_jspx_th_cms_005fpageSlot_005f0, _jspx_page_context))
            return true;
          int evalDoAfterBody = _jspx_th_cms_005fpageSlot_005f0.doAfterBody();
          if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
            break;
        } while (true);
        if (_jspx_eval_cms_005fpageSlot_005f0 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
          out = _jspx_page_context.popBody();
        }
      }
      if (_jspx_th_cms_005fpageSlot_005f0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
        throw new javax.servlet.jsp.SkipPageException();
      }
      _005fjspx_005ftagPool_005fcms_005fpageSlot_0026_005fvar_005fposition_005felement_005fclass.reuse(_jspx_th_cms_005fpageSlot_005f0);
      _jspx_th_cms_005fpageSlot_005f0_reused = true;
    } finally {
      org.apache.jasper.runtime.JspRuntimeLibrary.releaseTag(_jspx_th_cms_005fpageSlot_005f0, _jsp_getInstanceManager(), _jspx_th_cms_005fpageSlot_005f0_reused);
    }
    return false;
  }

  private boolean _jspx_meth_cms_005fcomponent_005f0(javax.servlet.jsp.tagext.JspTag _jspx_th_cms_005fpageSlot_005f0, javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  cms:component
    de.hybris.platform.acceleratorcms.tags2.CMSComponentTag _jspx_th_cms_005fcomponent_005f0 = (de.hybris.platform.acceleratorcms.tags2.CMSComponentTag) _005fjspx_005ftagPool_005fcms_005fcomponent_0026_005felement_005fcomponent_005fclass_005fnobody.get(de.hybris.platform.acceleratorcms.tags2.CMSComponentTag.class);
    boolean _jspx_th_cms_005fcomponent_005f0_reused = false;
    try {
      _jspx_th_cms_005fcomponent_005f0.setPageContext(_jspx_page_context);
      _jspx_th_cms_005fcomponent_005f0.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cms_005fpageSlot_005f0);
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(33,6) name = component type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_cms_005fcomponent_005f0.setComponent((de.hybris.platform.cms2.model.contents.components.AbstractCMSComponentModel) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${component}", de.hybris.platform.cms2.model.contents.components.AbstractCMSComponentModel.class, (javax.servlet.jsp.PageContext)this.getJspContext(), null));
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(33,6) name = element type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_cms_005fcomponent_005f0.setElement("div");
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(33,6) null
      _jspx_th_cms_005fcomponent_005f0.setDynamicAttribute(null, "class", "yComponentWrapper page-details-variants-select-component");
      int _jspx_eval_cms_005fcomponent_005f0 = _jspx_th_cms_005fcomponent_005f0.doStartTag();
      if (_jspx_th_cms_005fcomponent_005f0.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
        throw new javax.servlet.jsp.SkipPageException();
      }
      _005fjspx_005ftagPool_005fcms_005fcomponent_0026_005felement_005fcomponent_005fclass_005fnobody.reuse(_jspx_th_cms_005fcomponent_005f0);
      _jspx_th_cms_005fcomponent_005f0_reused = true;
    } finally {
      org.apache.jasper.runtime.JspRuntimeLibrary.releaseTag(_jspx_th_cms_005fcomponent_005f0, _jsp_getInstanceManager(), _jspx_th_cms_005fcomponent_005f0_reused);
    }
    return false;
  }

  private boolean _jspx_meth_cms_005fpageSlot_005f1(javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  cms:pageSlot
    de.hybris.platform.acceleratorcms.tags2.CMSContentSlotTag _jspx_th_cms_005fpageSlot_005f1 = (de.hybris.platform.acceleratorcms.tags2.CMSContentSlotTag) _005fjspx_005ftagPool_005fcms_005fpageSlot_0026_005fvar_005fposition_005felement_005fclass.get(de.hybris.platform.acceleratorcms.tags2.CMSContentSlotTag.class);
    boolean _jspx_th_cms_005fpageSlot_005f1_reused = false;
    try {
      _jspx_th_cms_005fpageSlot_005f1.setPageContext(_jspx_page_context);
      _jspx_th_cms_005fpageSlot_005f1.setParent(new javax.servlet.jsp.tagext.TagAdapter((javax.servlet.jsp.tagext.SimpleTag) this ));
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(35,5) name = position type = null reqTime = true required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_cms_005fpageSlot_005f1.setPosition("AddToCart");
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(35,5) name = var type = java.lang.String reqTime = false required = true fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_cms_005fpageSlot_005f1.setVar("component");
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(35,5) name = element type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_cms_005fpageSlot_005f1.setElement("div");
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(35,5) null
      _jspx_th_cms_005fpageSlot_005f1.setDynamicAttribute(null, "class", "page-details-variants-select");
      int _jspx_eval_cms_005fpageSlot_005f1 = _jspx_th_cms_005fpageSlot_005f1.doStartTag();
      if (_jspx_eval_cms_005fpageSlot_005f1 != javax.servlet.jsp.tagext.Tag.SKIP_BODY) {
        if (_jspx_eval_cms_005fpageSlot_005f1 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
          out = org.apache.jasper.runtime.JspRuntimeLibrary.startBufferedBody(_jspx_page_context, _jspx_th_cms_005fpageSlot_005f1);
        }
        do {
          if (_jspx_meth_cms_005fcomponent_005f1(_jspx_th_cms_005fpageSlot_005f1, _jspx_page_context))
            return true;
          int evalDoAfterBody = _jspx_th_cms_005fpageSlot_005f1.doAfterBody();
          if (evalDoAfterBody != javax.servlet.jsp.tagext.BodyTag.EVAL_BODY_AGAIN)
            break;
        } while (true);
        if (_jspx_eval_cms_005fpageSlot_005f1 != javax.servlet.jsp.tagext.Tag.EVAL_BODY_INCLUDE) {
          out = _jspx_page_context.popBody();
        }
      }
      if (_jspx_th_cms_005fpageSlot_005f1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
        throw new javax.servlet.jsp.SkipPageException();
      }
      _005fjspx_005ftagPool_005fcms_005fpageSlot_0026_005fvar_005fposition_005felement_005fclass.reuse(_jspx_th_cms_005fpageSlot_005f1);
      _jspx_th_cms_005fpageSlot_005f1_reused = true;
    } finally {
      org.apache.jasper.runtime.JspRuntimeLibrary.releaseTag(_jspx_th_cms_005fpageSlot_005f1, _jsp_getInstanceManager(), _jspx_th_cms_005fpageSlot_005f1_reused);
    }
    return false;
  }

  private boolean _jspx_meth_cms_005fcomponent_005f1(javax.servlet.jsp.tagext.JspTag _jspx_th_cms_005fpageSlot_005f1, javax.servlet.jsp.PageContext _jspx_page_context)
          throws java.lang.Throwable {
    javax.servlet.jsp.JspWriter out = _jspx_page_context.getOut();
    //  cms:component
    de.hybris.platform.acceleratorcms.tags2.CMSComponentTag _jspx_th_cms_005fcomponent_005f1 = (de.hybris.platform.acceleratorcms.tags2.CMSComponentTag) _005fjspx_005ftagPool_005fcms_005fcomponent_0026_005felement_005fcomponent_005fclass_005fnobody.get(de.hybris.platform.acceleratorcms.tags2.CMSComponentTag.class);
    boolean _jspx_th_cms_005fcomponent_005f1_reused = false;
    try {
      _jspx_th_cms_005fcomponent_005f1.setPageContext(_jspx_page_context);
      _jspx_th_cms_005fcomponent_005f1.setParent((javax.servlet.jsp.tagext.Tag) _jspx_th_cms_005fpageSlot_005f1);
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(36,6) name = component type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_cms_005fcomponent_005f1.setComponent((de.hybris.platform.cms2.model.contents.components.AbstractCMSComponentModel) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${component}", de.hybris.platform.cms2.model.contents.components.AbstractCMSComponentModel.class, (javax.servlet.jsp.PageContext)this.getJspContext(), null));
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(36,6) name = element type = null reqTime = true required = false fragment = false deferredValue = false expectedTypeName = null deferredMethod = false methodSignature = null
      _jspx_th_cms_005fcomponent_005f1.setElement("div");
      // /WEB-INF/tags/responsive/product/productDetailsPanel.tag(36,6) null
      _jspx_th_cms_005fcomponent_005f1.setDynamicAttribute(null, "class", "yComponentWrapper page-details-add-to-cart-component");
      int _jspx_eval_cms_005fcomponent_005f1 = _jspx_th_cms_005fcomponent_005f1.doStartTag();
      if (_jspx_th_cms_005fcomponent_005f1.doEndTag() == javax.servlet.jsp.tagext.Tag.SKIP_PAGE) {
        throw new javax.servlet.jsp.SkipPageException();
      }
      _005fjspx_005ftagPool_005fcms_005fcomponent_0026_005felement_005fcomponent_005fclass_005fnobody.reuse(_jspx_th_cms_005fcomponent_005f1);
      _jspx_th_cms_005fcomponent_005f1_reused = true;
    } finally {
      org.apache.jasper.runtime.JspRuntimeLibrary.releaseTag(_jspx_th_cms_005fcomponent_005f1, _jsp_getInstanceManager(), _jspx_th_cms_005fcomponent_005f1_reused);
    }
    return false;
  }

  private class Helper
      extends org.apache.jasper.runtime.JspFragmentHelper
  {
    private javax.servlet.jsp.tagext.JspTag _jspx_parent;
    private int[] _jspx_push_body_count;

    public Helper( int discriminator, javax.servlet.jsp.JspContext jspContext, javax.servlet.jsp.tagext.JspTag _jspx_parent, int[] _jspx_push_body_count ) {
      super( discriminator, jspContext, _jspx_parent );
      this._jspx_parent = _jspx_parent;
      this._jspx_push_body_count = _jspx_push_body_count;
    }
    public boolean invoke0( javax.servlet.jsp.JspWriter out ) 
      throws java.lang.Throwable
    {
      out.write("<div class=\"name\">");
      out.write((java.lang.String) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${fn:escapeXml(product.name)}", java.lang.String.class, (javax.servlet.jsp.PageContext)this.getJspContext(), _jspx_fnmap_0));
      out.write("<span class=\"sku\">ID</span><span class=\"code\">");
      out.write((java.lang.String) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${fn:escapeXml(product.code)}", java.lang.String.class, (javax.servlet.jsp.PageContext)this.getJspContext(), _jspx_fnmap_0));
      out.write("</span></div>\n");
      out.write("	");
      return false;
    }
    public boolean invoke1( javax.servlet.jsp.JspWriter out ) 
      throws java.lang.Throwable
    {
      if (_jspx_meth_product_005fproductPricePanel_005f0(_jspx_parent, _jspx_page_context))
        return true;
      return false;
    }
    public void invoke( java.io.Writer writer )
      throws javax.servlet.jsp.JspException
    {
      javax.servlet.jsp.JspWriter out = null;
      if( writer != null ) {
        out = this.jspContext.pushBody(writer);
      } else {
        out = this.jspContext.getOut();
      }
      try {
        Object _jspx_saved_JspContext = this.jspContext.getELContext().getContext(javax.servlet.jsp.JspContext.class);
        this.jspContext.getELContext().putContext(javax.servlet.jsp.JspContext.class,this.jspContext);
        switch( this.discriminator ) {
          case 0:
            invoke0( out );
            break;
          case 1:
            invoke1( out );
            break;
        }
        jspContext.getELContext().putContext(javax.servlet.jsp.JspContext.class,_jspx_saved_JspContext);
      }
      catch( java.lang.Throwable e ) {
        if (e instanceof javax.servlet.jsp.SkipPageException)
            throw (javax.servlet.jsp.SkipPageException) e;
        throw new javax.servlet.jsp.JspException( e );
      }
      finally {
        if( writer != null ) {
          this.jspContext.popBody();
        }
      }
    }
  }
}
